libzypp 17.37.10

zyppng::VerifyInfoEvent Namespace Reference

## Functions
constexpr std::string_view | CTYPE ("keyring/info-verify")
constexpr std::string_view | FILE ("file")
constexpr std::string_view | KEY_DATA ("key-data")
constexpr std::string_view | KEY_CONTEXT ("key-context")
UserData | makeData (const std::string &file_r, const zypp::PublicKeyData &keyData_r, const zypp::KeyContext &keycontext=zypp::KeyContext())

## Detailed Description

Informal event showing the trusted key that will be used for verification.

Userdata fields:

- "file" File that was verified
- "key-data" Key data that was used to verify the file
- "key-context" context the key is used in

## Function Documentation

## ◆ CTYPE()

std::string_view zyppng::VerifyInfoEvent::CTYPE | ( | "keyring/info-verify" |  | ) |
| constexpr

## ◆ FILE()

std::string_view zyppng::VerifyInfoEvent::FILE | ( | "file" |  | ) |
| constexpr

## ◆ KEY_DATA()

std::string_view zyppng::VerifyInfoEvent::KEY_DATA | ( | "key-data" |  | ) |
| constexpr

## ◆ KEY_CONTEXT()

std::string_view zyppng::VerifyInfoEvent::KEY_CONTEXT | ( | "key-context" |  | ) |
| constexpr

## ◆ makeData()

UserData zyppng::VerifyInfoEvent::makeData | ( | const std::string & | file_r,
|  | const zypp::PublicKeyData & | keyData_r,
|  | const zypp::KeyContext & | keycontext = zypp::KeyContext() )

Definition at line 60 of file userrequest.cc.